#
# spec file for package rxp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rxp
Version:        1.4.8
Release:        93.29
Summary:        XML Parser in C
License:        GPL-2.0+
Group:          Productivity/Publishing/XML
Url:            http://www.cogsci.ed.ac.uk/~richard/rxp.html
Source:         ftp://ftp.cogsci.ed.ac.uk/pub/richard/rxp-%{version}.tar.bz2
Patch0:         rxp-1.4.8.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The current version of RXP supports XML 1.1, Namespaces 1.1, xml:id,
and XML Catalogs. To use an XML Catalog, set the environment variable
XML_CATALOG_FILES to a space-separated list of catalog files.

RXP was written by Richard Tobin at the Language Technology Group,
Human Communication Research Centre, University of Edinburgh.

A simple application (called rxp) is provided. It parses and writes XML
data, optionally expanding entities, defaulting attributes, and
translating to a different output encoding.

Bug reports should be sent to richard@cogsci.ed.ac.uk.



Authors:
--------
    Richard Tobin <richard@cogsci.ed.ac.uk>

%prep
%setup -q
%patch0 -p1

%build
mv Makefile Makefile.orig
%{__sed} -e 's/^LIBS:/\#LIBS:/'  Makefile.orig > Makefile
%{__make} "DEBUG=%{optflags}" # CHAR_SIZE=8

%install
%{__install} -d -m755 %{buildroot}
%{__install} -d -m755 %{buildroot}/usr/bin
%{__install} -d -m755 %{buildroot}%{_mandir}/man1
%{__install} -m755 rxp %{buildroot}/usr/bin
%{__install} -m644 rxp.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-, root, root)
%doc COPYRIGHT COPYING Manual Threads
%{_bindir}/*
%doc %{_mandir}/man1/*

%changelog
* Wed Oct 15 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Tue Jun 16 2009 coolo@novell.com
- fix build with glibc 2.10
* Tue Aug  7 2007 crrodriguez@suse.de
- update to version 1.4.8 with some bugfixes
- spec file cleanup
- make autobuild 100%% happy
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep  8 2005 ke@suse.de
- Remove executable bit from manpage.  Reported by Martin Lasarsch
  [#114849].
* Fri Apr 29 2005 ke@suse.de
- Update to 1.4.4.
* Thu Aug  5 2004 ke@suse.de
- Update to version 1.4.0:
  - Bug fixes (memory leaks etc.).
  - Fix namespace handling.
  - Speedup.
* Wed Feb 25 2004 hmacht@suse.de
- building as non-root
* Tue Jul  1 2003 coolo@suse.de
- don't use $RPM_PACKAGE_NAME
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Sep 29 2000 ke@suse.de
- Update to version 1.2.
- Use _mandir macro.
* Thu Feb 24 2000 ke@suse.de
- General spec file cleanup:
- Add group tag.
- Move manpage -> /usr/share.
- Move suse_chekc to the end of %%install.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 10 1999 ke@suse.de
- initial package: version 1.0.7
